const express = require("express");
const router = express.Router();

const {
  createCareer,
  getCareers,
  getCareerById,
  updateCareer,
  deleteCareer,
} = require("../controllers/careerController");

// Create Career
router.post("/", createCareer);

// Get All Careers
router.get("/", getCareers);

// Get Single Career
router.get("/:id", getCareerById);

// Update Career
router.put("/:id", updateCareer);

// Delete Career
router.delete("/:id", deleteCareer);

module.exports = router;
